# Get partner status Retrieve partnership details about the currently authenticated organization. Only relevant for so-called *partner accounts*. > 🔑 Access with > > [Organization access token with **organizations.read**](/reference/authentication) > > [OAuth access with **organizations.read**](/reference/authentication) # OpenAPI definition ```json { "openapi": "3.1.0", "info": { "title": "Mollie Connect", "version": "1.0.0", "license": { "name": "Attribution-NonCommercial-ShareAlike 4.0 International", "identifier": "CC-BY-NC-SA-4.0" } }, "servers": [ { "url": "https://api.mollie.com" } ], "security": [ { "apiKey": [] }, { "organizationAccessToken": [] }, { "oAuth": [] } ], "paths": { "/v2/organizations/me/partner": { "get": { "summary": "Get partner status", "x-speakeasy-name-override": "get-partner", "tags": [ "Organizations API" ], "operationId": "get-partner-status", "security": [ { "organizationAccessToken": [ "organizations.read" ] }, { "oAuth": [ "organizations.read" ] } ], "description": "Retrieve partnership details about the currently authenticated organization. Only relevant for so-called *partner accounts*.\n\n> 🔑 Access with\n>\n> [Organization access token with **organizations.read**](/reference/authentication)\n>\n> [OAuth access with **organizations.read**](/reference/authentication)", "responses": { "200": { "description": "The partner status object.", "content": { "application/hal+json": { "schema": { "type": "object", "required": [ "resource", "partnerType" ], "properties": { "resource": { "type": "string", "description": "Indicates the response contains a partner status object. Will always contain the string `partner` for this endpoint.", "readOnly": true, "default": "partner" }, "partnerType": { "type": [ "string", "null" ], "description": "Indicates the type of partner. Will be `null` if the currently authenticated organization is not enrolled as a partner.\n\nPossible values: `oauth` `signuplink` `useragent`", "example": "oauth", "readOnly": true }, "isCommissionPartner": { "type": "boolean", "description": "Whether the current organization is receiving commissions.", "example": true, "readOnly": true }, "userAgentTokens": { "type": "array", "description": "Array of User-Agent token objects. Present if the organization is a partner of type `useragent`, or if they were in the past.", "items": { "type": "object", "properties": { "token": { "type": "string", "description": "The unique User-Agent token.", "example": "..." }, "startsAt": { "type": "string", "description": "The date from which the token is active, in ISO 8601 format.", "example": "2024-01-01T00:00:00+00:00" }, "endsAt": { "type": [ "string", "null" ], "description": "The date until when the token will be active, in ISO 8601 format. Will be `null` if the token does not have an end date (yet).", "example": "2024-12-31T23:59:59+00:00" } } }, "readOnly": true }, "partnerContractSignedAt": { "type": [ "string", "null" ], "description": "The date the partner contract was signed, in ISO 8601 format. Omitted if no contract has been signed (yet).", "example": "2024-01-15T10:00:00+00:00", "readOnly": true }, "partnerContractUpdateAvailable": { "type": "boolean", "description": "Whether an update to the partner contract is available and requiring the organization's agreement.", "example": false, "readOnly": true }, "partnerContractExpiresAt": { "type": "string", "description": "The expiration date of the signed partner contract, in ISO 8601 format. Omitted if contract has no expiration date (yet).", "example": "2025-01-15T10:00:00+00:00", "readOnly": true }, "_links": { "type": "object", "description": "An object with several relevant URLs. Every URL object will contain an `href` and a `type` field.", "properties": { "self": { "type": "object", "description": "In v2 endpoints, URLs are commonly represented as objects with an `href` and `type` field.", "required": [ "href", "type" ], "properties": { "href": { "type": "string", "description": "The actual URL string.", "example": "https://..." }, "type": { "type": "string", "description": "The content type of the page or endpoint the URL points to.", "example": "application/hal+json" } } }, "signuplink": { "description": "The URL that can be used to have new organizations sign up and be automatically linked to this partner. Will be omitted if the partner is not of type `signuplink`.", "type": "object", "required": [ "href", "type" ], "properties": { "href": { "type": "string", "description": "The actual URL string.", "example": "https://..." }, "type": { "type": "string", "description": "The content type of the page or endpoint the URL points to.", "example": "application/hal+json" } } }, "documentation": { "type": "object", "description": "In v2 endpoints, URLs are commonly represented as objects with an `href` and `type` field.", "required": [ "href", "type" ], "properties": { "href": { "type": "string", "description": "The actual URL string.", "example": "https://..." }, "type": { "type": "string", "description": "The content type of the page or endpoint the URL points to.", "example": "application/hal+json" } } } } } } }, "examples": { "get-partner-status-200-1": { "summary": "The partner status object", "value": { "resource": "partner", "partnerType": "signuplink", "partnerContractSignedAt": "2024-03-20T13:59:02+00:00", "partnerContractExpiresAt": "2024-04-19T23:59:59+00:00", "_links": { "self": { "href": "...", "type": "application/hal+json" }, "signuplink": { "href": "https://www.mollie.com/dashboard/signup/exampleCode", "type": "text/html" }, "documentation": { "href": "...", "type": "text/html" } } } } } } } } }, "x-readme": { "code-samples": [ { "language": "shell", "code": "curl -X GET https://api.mollie.com/v2/organizations/me/partner \\\n -H \"Authorization: Bearer access_Wwvu7egPcJLLJ9Kb7J632x8wJ2zMeJ\"" }, { "language": "php", "code": "setAccessToken('access_Wwvu7egPcJLLJ9Kb7J632x8wJ2zMeJ');\n\n$partner = $mollie->send(new GetOrganizationPartnerStatusRequest());", "install": "composer require mollie/mollie-api-php" }, { "language": "node", "code": "/*\nWe don't have a Node.js code example for this\nAPI call yet.\n\nIf you have some time to spare, feel free to\nshare suggestions on our Discord:\nhttps://discord.gg/VaTVkXB4aQ\n*/", "install": "npm install @mollie/api-client" }, { "language": "python", "code": "'''\nWe don't have a Python code example for this\nAPI call yet.\n\nIf you have some time to spare, feel free to\nshare suggestions on our Discord:\nhttps://discord.gg/VaTVkXB4aQ\n'''", "install": "pip install mollie-api-python" }, { "language": "ruby", "code": "require 'mollie-api-ruby'\n\nMollie::Client.configure do |config|\n config.api_key = 'access_Wwvu7egPcJLLJ9Kb7J632x8wJ2zMeJ'\nend\n\norganization = Mollie::Partner.current", "install": "gem install mollie-api-ruby" } ] } } } }, "components": { "securitySchemes": { "apiKey": { "type": "http", "scheme": "bearer", "x-default": "live_dHar4XY7LxsDOtmnkVtjNVWXLSlXsM" }, "organizationAccessToken": { "type": "http", "scheme": "bearer", "x-default": "access_dHar4XY7LxsDOtmnkVtjNVWXLSlXsM" }, "oAuth": { "type": "oauth2", "flows": { "authorizationCode": { "authorizationUrl": "https://my.mollie.com/oauth2/authorize", "tokenUrl": "https://api.mollie.com/oauth2/tokens", "scopes": {} } } } } }, "x-readme": { "explorer-enabled": false, "samples-languages": [ "shell", "php", "node", "python", "ruby" ] } } ```